Financial Information request
Introduction
Account Aggregator is a decentralized data sharing system that allows regulated entities to share user data amongst each other through a consent-based user flow. This data currently contains only transactional data from the bank account. Other variables are going to be added by the AA ecosystem in the future.
This API is used to raise a request for fetching the financial information against the consentId that is generated when consent was accepted by the customer.
API Input Guidelines
Need to pass on the following information:
- A valid CustomerId.
- A valid Consent Id.
- A valid Consent-Handle Id.
- A valid session-Id.
- A valid callbackUrl.
curl --location --request POST 'https://api-preproduction.signzy.app/api/v3/accountAggregator/FI-request' \
--header 'Content-Type: application/json' \
--header 'Authorization: <token>' \
--data-raw '{
"customerId": "<mobile-number>",
"consentId": "<consent-id>",
"consentHandleId": "<consent-handle-id>",
"dateTimeRangeFrom": "<start-date-range>",
"dateTimeRangeTo": "<end-date-range>",
"callbackUrl": "<url-link>"
}'Input Parameters
PARAMETER NAME | REQUIRED/OPTIONAL | DESCRIPTION | TYPE |
|---|---|---|---|
customerId | Required | Mobile number of the user | String |
consentId | Required | consent id of the user (received only when the user accepts the consent request) | String |
consentHandleId | Required | Consent Handle Id - recevied when consent request was raised | String |
dateTimeRangefrom | Required | Start date (data to be fetched from) | String |
DateTimerangeTo | Required | End date (data to be fetched till) | String |
callbackUrl | Optional | CallbackUrl provided by user | String |
Sample Response
{
"result": {
"ver": "1.1.2",
"timestamp": "2022-10-18T12:09:41.560+0000",
"txnid": "f38c132a-62d0-4a91-9bf4-550ec55e49d4",
"consentId": "288feb05-4932-4861-89e9-339fa304885b",
"sessionId": "150e3a8a-d780-4c7f-b15d-fa76cef1c374",
"consentHandleId": null
}
}Response Parameter
PARAMETER NAME | DESCRIPTION | TYPE |
|---|---|---|
result | This holds final result parameters of the response. |  |
result.ver | Internal Purpose | String |
result.timestamp | Time at which FI fetch request was initiated | String |
result.txnid | Internal Purpose | String |
result.consentId | ConsentId received when consent request was accepted by the user | String |
result.sessionId | SessionId (Unique Id to track FI request status) | String |
result.consentHandleId | Consent Handle Id - recevied when consent request was raised |  |
Callback Url Data Structure
The callbackUrl that we are passing in the request body, that can be used to view the FI-request-status. The FI-request-status will be posted into the callbackUrl and through the url one can view the status corresponding to the consent-Handle.
The structure of data or the FI-request-status that will be getting posted into the callbackUrl is as follows:
{
"consentHandle": "<consent-HandleId>",
"dataSessionId": "<Data-SessionId",
"status": "<status>"
}Error Codes
Error Code | Description |
|---|---|
400 | Bad Request: In case the request is not as per required schema or any other case |
401 | Unauthorized: Authentication failed or user does not have permissions for requested operation. |
409 | Upstream Error/Conflict: Something wrong on vendor side. |
500 | Internal Server Error: An error occurred on the server. |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].